
/*
This file contains routines for error recording

Created and Modified by Guoning Chen
copyright @2007
*/

#include "stdafx.h"

#include "Error_log.h"

#include "time.h"

/*Here we define a global file operation to record all the memory failure issue*/
time_t g_rawtime;
clock_t g_start, g_finish;



void write_mem_error(char *routine, char *var, int type)
{
	time ( &g_rawtime );
	FILE *fp = fopen("mem_error_log.txt", "w");

	if(type == 0) /*initial failure*/
		fprintf(fp, "routine %s, variable %s, allocated failed. \n", routine, var);
	else if(type == 1) /*reallocate failure*/
		fprintf(fp, "routine %s, variable %s, re-allocated failed. \n", routine, var);
	
	fprintf(fp, "current date and time are :  %s. \n", ctime (&g_rawtime) );

	fclose(fp);
}